<?php

namespace App\Providers;

use App\Auth\EloquentSessionRepository;
use App\Auth\SessionRepository;
use App\Element\ElementRepository;
use App\Element\EloquentElementRepository;
use App\Set\EloquentSetRepository;
use App\Set\SetRepository;
use App\User\EloquentUserRepository;
use App\User\UserRepository;
use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(
            UserRepository::class,
            EloquentUserRepository::class
        );
        $this->app->bind(
            SessionRepository::class,
            EloquentSessionRepository::class
        );
        $this->app->bind(
            SetRepository::class,
            EloquentSetRepository::class
        );
        $this->app->bind(
            ElementRepository::class,
            EloquentElementRepository::class
        );
    }
}
